import random
from app.functions.get_character_age import get_age


def generate_profile(chartype):
    profile = {
        'name': "Anon",
        'sex': random.choice(['male', 'female', 'male', 'female', 'male', 'female']),
        'age': get_age(chartype)
    }
    if chartype == 'human':
        profile['hair'] = random.choice(['black', 'brown', 'auburn', 'blonde', 'copper', 'brass', 'blue', 'bald'])
        profile['eyes'] = random.choice(['blue', 'brown', 'green', 'hazel', 'gray'])
        profile['skintone'] = random.choice(['dark', 'olive', 'medium', 'light', 'pale'])

    return profile
